Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SavedMessagesTag

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SavedMessagesTag

Enclosing class:
  TdApi

public static final class TdApi.SavedMessagesTag extends TdApi.Object
Represents a tag used in Saved Messages or a Saved Messages topic.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`count`
Number of times the tag was used; may be 0 if the tag has non-empty label.
`String`
`label`
Label of the tag; 0-12 characters.
`TdApi.ReactionType`
`tag`
The tag.

## Constructor Summary

Constructors
Constructor
Description
`SavedMessagesTag()`
Represents a tag used in Saved Messages or a Saved Messages topic.
`SavedMessagesTag(TdApi.ReactionType tag, String label, int count)`
Represents a tag used in Saved Messages or a Saved Messages topic.
`SavedMessagesTag(DataInput input)`
Represents a tag used in Saved Messages or a Saved Messages topic.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### tag

public TdApi.ReactionType tag
The tag.

### label

public String label
Label of the tag; 0-12 characters. Always empty if the tag is returned for a Saved Messages topic.

### count

public int count
Number of times the tag was used; may be 0 if the tag has non-empty label.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SavedMessagesTag

public SavedMessagesTag()
Represents a tag used in Saved Messages or a Saved Messages topic.

### SavedMessagesTag

public SavedMessagesTag(TdApi.ReactionType tag, String label, int count)
Represents a tag used in Saved Messages or a Saved Messages topic.

Parameters:
  `tag` - The tag.
  `label` - Label of the tag; 0-12 characters. Always empty if the tag is returned for a Saved Messages topic.
  `count` - Number of times the tag was used; may be 0 if the tag has non-empty label.

### SavedMessagesTag

public SavedMessagesTag(DataInput input) throws IOException
Represents a tag used in Saved Messages or a Saved Messages topic.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`